#include <algorithm>
#include <iostream>
#include <numeric>
#include <fstream>
#include <vector>
#include <string>
#include <cmath>
#include <queue>
#include <stack>
#include <set>
#include <map>

using namespace std;

typedef long long ll;
typedef long long int;

int getLen(int n, int radix)
{
	if (n == 0)
		return 1;
	int res = 0;
	while (n != 0)
	{
		res++;
		n /= radix;
	}
	return res;
}

int main() {
	ll n;
	cin >> n;
	if (getLen(n, 10) == getLen(n, 16))
		cout << "YES";
	else
		cout << "NO";
}