#include <algorithm>
#include <iostream>
#include <numeric>
#include <fstream>
#include <vector>
#include <string>
#include <cmath>
#include <queue>
#include <stack>
#include <set>
#include <map>

using namespace std;

typedef long long ll;

ll binpow(ll a, ll n) {
	if (n == 0)
		return 1;
	if (n % 2 == 1)
		return binpow(a, n - 1) * a;
	else {
		ll b = binpow(a, n / 2);
		return b * b;
	}
}

ll Max(ll a, ll b) {
	if (a >= b)
		return a;
	else
		return b;
}

ll Min(ll a, ll b) {
	if (a <= b)
		return a;
	else
		return b;
}

ll calc(ll num, ll base)
{

	if (num == 0)
		return 0;
	ll rem = num % base;
	if (rem <= 9)
	{
		calc(num / base, base);
		return rem;
	}
	else
	{
		calc(num / base, base);
		return char(rem - 10 + 'A');
	}
}

ll bym(ll a) {
	ll ans = 0;
	while (a % 10 != 0) {
		ans++;
		a /= 10;
	}
	return ans;
}

int main() {
	ll n;
	cin >> n;
	ll a = calc(n, 16);
	ll n1 = bym(n), a1 = bym(a);
	if (n1 == a1)
		cout << "YES";
	else
		cout << "NO";
}